Default IBus input method ignored in live session

Bug #1786344 reported by Ping-Wu on 2018-08-09
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gnome-settings-daemon (Ubuntu)
High
Gunnar Hjalmarsson
Bionic
High
Gunnar Hjalmarsson

Bug Description

[Impact]

If you

* start your computer with a bootable USB stick or DVD with the
  18.04.2 desktop ISO

* wait until Ubiquity's welcome screen shows up (only possible on
  systems with legacy BIOS; bug #1766047)

* select a language which requires an input method for typing

* click the "Try Ubuntu" button

no IBus method is made easily available via the input source indicator in the session you enter. If you for instance select zh_CN as language and "Try Ubuntu", you would expect to enter a session with the "Intelligent Pinyin" method included among the available input sources.

The proposed fix should ensure that an IBus method is always available in "live sessions" in languages which are prepared for it.

[Test Case]

1. Install ibus-libpinyin and make sure that "Intelligent Pinyin" is
   not included among your available input sources.

2. Generate the Chinese locale:

   sudo locale-gen zh_CN.UTF-8

3. Add to ~/.profile this line:

   export LC_CTYPE=zh_CN.UTF-8

4. Remove the gnome-settings-daemon stamp file:

   rm ~/.local/share/gnome-settings-daemon/input-sources-converted

5. Log out and log in again.

=> Find that the "Intelligent Pinyin" method was not added (since the sources already in the list prevented it from being added).

6. Install gnome-settings-daemon from bionic-proposed.

7. Repeat step 4 and 5.

=> Find that the "Intelligent Pinyin" method was added.

[Regression Potential]

The proposed upload includes a small change which specifically addresses the issue as described above. I find that the risk for adverse side effects is low.

[Original description]

Ubuntu 18.10 iso (2018.8.7), select Simplified Chinese for booting, can't
input Chinese character. From Settings -> Regions and Languages, selected
Intelligent Pinyin, also could not input Chinese.

---

18.10 镜像(2018.8.7)选择简体中文开机,无法输入中文。由 Settings -> Regions and Languages,选择 智能拼音,也无法输入中文。

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1786344/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please execute the following command only once, as it will automatically gather debugging information, in a terminal:

apport-collect 1786344

When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

affects: ubuntu → gnome-control-center (Ubuntu)
tags: added: cosmic
Changed in gnome-control-center (Ubuntu):
status: New → Incomplete
Gunnar Hjalmarsson (gunnarhj) wrote :

@Ping-Wu: Please describe the issue in English too. It's hard to understand what the problem is.

Title:
  18.10 镜像无法输入中文

in English:
 Ubuntu 18.10 iso could not input Chinese characters>

Bug description:
  18.10 镜像(2018.8.7)选择简体中文开机,无法输入中文。由 Settings -> Regions and
  Languages,选择 智能拼音,也无法输入中文。

in English:
Ubuntu 18.10 iso (2018.8.7), select Simplified English for booting, can't
input Chinese character. From Settings -> Regions and Languages, selected
Intelligent Pinyin, also could not input Chinese.

On Thu, Aug 9, 2018 at 8:40 PM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> @Ping-Wu: Please describe the issue in English too. It's hard to
> understand what the problem is.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1786344
>
> Title:
> 18.10 镜像无法输入中文
>
> Status in gnome-control-center package in Ubuntu:
> Incomplete
>
> Bug description:
> 18.10 镜像(2018.8.7)选择简体中文开机,无法输入中文。由 Settings -> Regions and
> Languages,选择 智能拼音,也无法输入中文。
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1786344/+subscriptions
>

I tested the 2018.08.24 iso, when booted into simplified Chinese locale, I can now select 智能拼音 (smart pinyin) to input Chinese characters. However, this should be the DEFAULT, i.e., a Chinese user should be able to input Chinese characters when selecting the Chinese locale, WITHOUT any additional step.

As the 1810 iso stands now, a Chinese locale user will NOT be able to type Chinese. This is no way to try to promote/market Ubuntu in China.

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for clarifying.

This reminds me of bug #1756205. Is the behavior you describe in this bug report a regression compared to the behavior in 18.04 after the fix of that other bug?

When you say that you can select, is there anything you need to do besides clicking on the input source indicator and switch to Intelligent Pinyin?

Yes, something very similar to bug #1756205. However, if I remember it
correctly, in bug #1756205, sunpinyin was selected as the default Chinese
input engine but was not included in the iso. Once you change the default
Chinese input engine to ibus-libpinyin (which was included in the iso),
problem solved.

In 18.10, however, the problems are two-fold:

1. When booted into the simplified Chinese locale, "汉语" (Hanyu,
Chinese)shows up as the input method, but there is no package corresponding
to hanyu-pinyin. Based on the content of the iso manifest, either Hanyu
should be linked to ibus-libpinyin, or we should simply use ibus-libpinyin
as the default input engine when booted into the simplified Chinese
locale. (In the Linux world, Hanyu-pinyin usually means "pinyin", but
since the pinyin input engine has been deprecated, we should use
ibus-libpinyin instead.)

2. The input method dialog window is also seriously flawed. It has
improved somewhat from my initial post, but very awkward to use, if at
all. It is difficult to explain & you should try it yourself to see how
bad the problem is.

Anyway, this is a regression from 18.04.

On Sat, Aug 25, 2018 at 9:15 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> Thanks for clarifying.
>
> This reminds me of bug #1756205. Is the behavior you describe in this
> bug report a regression compared to the behavior in 18.04 after the fix
> of that other bug?
>
> When you say that you can select, is there anything you need to do
> besides clicking on the input source indicator and switch to Intelligent
> Pinyin?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1786344
>
> Title:
> 18.10 镜像无法输入中文
>
> Status in gnome-control-center package in Ubuntu:
> Incomplete
>
> Bug description:
> 18.10 镜像(2018.8.7)选择简体中文开机,无法输入中文。由 Settings -> Regions and
> Languages,选择 智能拼音,也无法输入中文。
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1786344/+subscriptions
>

I need to point out that although I mentioned that "the pinyin input engine has been deprecated", this is inaccurate. Indeed, ibus-pinyin, with some simple tweaking, is robust and fast and works very well in 18.04 (I think I should thank you, Gunnar!) Actually ibus-pinyin is my preferred Chinese input engine, more so than ibus-libpinyin. As far as I am concerned, this is what makes Ubuntu stands out relative to Fedora/RedHat, etc.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2018-08-26 03:19, Ping-Wu wrote:
> 2. The input method dialog window is also seriously flawed. It has
> improved somewhat from my initial post, but very awkward to use, if
> at all. It is difficult to explain & you should try it yourself to
> see how bad the problem is.

Actually the whole Region & Language panel has been broken for a few weeks, and it was fixed as late as yesterday. I'll wait a day or two, and then play with a daily build to see what it looks like.

Changed in gnome-control-center (Ubuntu):
status: Incomplete → New
Gunnar Hjalmarsson (gunnarhj) wrote :

I checked out the 2018-08-27 ISO, and made these observations:

1. When entering a Chinese live session, the Intelligent Pinyin input
   source (default for Simplified Chinese) is not included in the list
   of input sources. Only the cn XKB layout is.

2. In Region & Language the Intelligent Pinyin method is not shown in
   the Chinese sub menu, even if the zh_CN.UTF-8 locale is active, but
   you need to continue to "Other" to find it.

I also found that the problem is not specific to Chinese, but also affects e.g. Japanese.

Item 2 is probably a gnome-control-center issue, while item 1 is probably due to some other package.

So yes, Ping-Wu, I can basically confirm your observations.

Question: Have you also tried a Chinese install? If you have, are the same issues present at first login?

summary: - 18.10 镜像无法输入中文
+ Default IBus input method ignored in live session
Changed in gnome-control-center (Ubuntu):
importance: Undecided → High
status: New → Confirmed
tags: added: regression-release
Gunnar Hjalmarsson (gunnarhj) wrote :

I downgraded gnome-control-center in my Cosmic installation to version 1:3.28.2-0ubuntu0.18.04.2, and then Intelligent Pinyin was shown as one of the Chinese input source options as expected. So item 2 above is most likely a gnome-control-center issue.

Assuming for now that the main issue is an installer problem.

Changed in ubiquity (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Changed in gnome-control-center (Ubuntu):
importance: High → Medium

I am most interested in the LiveUSB (iso image). This is the only way I
can interest my friends to try Ubuntu. I will try to install the 18.10
daily built probably over this weekend, but, again, the iso image is the
only marketing tool, as I can never induce anyone to try to do the actual
installation on their machine.

Previously I would prepare customized LiveUSBs & send them to those Ubuntu
wannabes. But because of spyware and liability concerns, this has become
impractical. Anyone who is interested in exploring Ubuntu will be shocked
to find out that they couldn't input Chinese from the LiveUSB. (Again,
many thanks to you, Gunnar, for timely fixing this serious problem in
18.04!)

On Mon, Aug 27, 2018 at 12:00 PM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> I checked out the 2018-08-27 ISO, and made these observations:
>
> 1. When entering a Chinese live session, the Intelligent Pinyin input
> source (default for Simplified Chinese) is not included in the list
> of input sources. Only the cn XKB layout is.
>
> 2. In Region & Language the Intelligent Pinyin method is not shown in
> the Chinese sub menu, even if the zh_CN.UTF-8 locale is active, but
> you need to continue to "Other" to find it.
>
> I also found that the problem is not specific to Chinese, but also
> affects e.g. Japanese.
>
> Item 2 is probably a gnome-control-center issue, while item 1 is
> probably due to some other package.
>
> So yes, Ping-Wu, I can basically confirm your observations.
>
> Question: Have you also tried a Chinese install? If you have, are the
> same issues present at first login?
>
> ** Summary changed:
>
> - 18.10 镜像无法输入中文
> + Default IBus input method ignored in live session
>
> ** Changed in: gnome-control-center (Ubuntu)
> Importance: Undecided => High
>
> ** Changed in: gnome-control-center (Ubuntu)
> Status: New => Confirmed
>
> ** Tags added: regression-release
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1786344
>
> Title:
> Default IBus input method ignored in live session
>
> Status in gnome-control-center package in Ubuntu:
> Confirmed
>
> Bug description:
> 18.10 镜像(2018.8.7)选择简体中文开机,无法输入中文。由 Settings -> Regions and
> Languages,选择 智能拼音,也无法输入中文。
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1786344/+subscriptions
>

Sebastien Bacher (seb128) wrote :

ubiquity doesn't do anything in the live session, it's the installer app that starts if you click the corresponding icon once in the live session, reassigning to gnome-settings-daemon which is a more likely starting point to investigate the issue

Do you know when it started exactly? gnome-settings/gnome-shell got updated to the new 3.29 serie a bit before you opened that report

tags: added: rls-cc-incoming
affects: ubiquity (Ubuntu) → gnome-settings-daemon (Ubuntu)
Gunnar Hjalmarsson (gunnarhj) wrote :

The g-c-c task moved to separate bug report (bug #1789665).

no longer affects: gnome-control-center (Ubuntu)
description: updated
Sebastien Bacher (seb128) wrote :

Andy, could you have a look?

Changed in gnome-settings-daemon (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
Andrea Azzarone (azzar1) on 2018-09-05
Changed in gnome-settings-daemon (Ubuntu):
status: Confirmed → In Progress
Andrea Azzarone (azzar1) on 2018-09-05
description: updated
Ping-Wu (wliauh) wrote :

Tested 0923 daily built. When booted under the "简体中文" (simplified Chinese) locale, "汉语“ (Chinese) was shown as the default input method, but still cannot input Chinese.

There is no option to select "智能拼音" (ibus-libpinyin) when I clicked on 汉语。

To use 智能拼音,I needed to go to "其它“ (Others)then made the selection. This is very weird to say the least.

However, I think 18.10 looks bright. When this problem is getting solved, I suggest that, as a default, we check all the dictionaries in the ibus-libpinyin "dictionary option" ("字典“)。 Many decision makers (in China at least) determine which Linux distro is better by how fast they can type. Turning on the dictionaries makes a whole world difference.

Iain Lane (laney) wrote :

not marking as a release blocker, but andrea is still working on this as assigned

tags: added: rls-cc-notfixing
removed: rls-cc-incoming
Jeremy Bicha (jbicha) on 2018-10-14
tags: added: iso-testing
Gunnar Hjalmarsson (gunnarhj) wrote :

@Andrea: When you get at this bug, please note bug #1796722 which was marked as a duplicate of this one. The duplicate does include details in the bug description which may be valuable to understand the nature of the issue.

Ping-Wu (wliauh) wrote :

Ubuntu 18.10. Initial install in en_US. When I tried to create a new user with zh_CN environment, I only had the option of choosing 中国(香港)“China (Hong Kong)". This should be corrected to allow users to choose "China".

Changed in gnome-settings-daemon (Ubuntu):
assignee: Andrea Azzarone (azzar1) → nobody
status: In Progress → Confirmed
Changed in gnome-settings-daemon (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Confirmed → In Progress
Gunnar Hjalmarsson (gunnarhj) wrote :

Unlike what we have believed up to now, the issue is present on the 18.04.2 ISO as well, so I added a bionic bug task.

Possibly it's related to the last minute ubiquity changes before the release of 18.04.

Changed in gnome-settings-daemon (Ubuntu Bionic):
importance: Undecided → High
milestone: none → ubuntu-18.04.3
no longer affects: gnome-settings-daemon (Ubuntu Bionic)
Sebastien Bacher (seb128) wrote :

@Gunnar, we discussed it in the meeting and decided it was not important to rls track, that doesn't mean it can't be fixed/SRUed though (also in the futur, please don't do direct nomination without assignement, either you plan to fix it yourself and then you can assign the bug to you or use rls-nn-incoming tagging)

Gunnar Hjalmarsson (gunnarhj) wrote :

Ok, noted Sebastien. I do plan to SRU it myself, so I re-added a bionic task and assigned it to me.

Changed in gnome-settings-daemon (Ubuntu Bionic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → High
status: New → Confirmed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-settings-daemon - 3.32.1-1ubuntu2

---------------
gnome-settings-daemon (3.32.1-1ubuntu2) eoan; urgency=medium

  * debian/patches/ubuntu_ibus_configs.patch:
    - Always call add_ibus_sources_from_locale() during the first run
      of g-s-d. This ensures that an IBus method is included in "live
      sessions" when applicable (LP: #1786344).

 -- Gunnar Hjalmarsson <email address hidden> Thu, 20 Jun 2019 11:57:11 +0100

Changed in gnome-settings-daemon (Ubuntu):
status: In Progress → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

I have tested the daily build ISO from this morning UTC. If I enter Ubiquity's welcome screen, select zh_CN from there and "Try Ubuntu", "Intelligent Pinyin" is now - unlike before - active in the resulting session, and I can select it via the input source indicator or <Super>+<Space> and start inputting Chinese instantly. Also tried ja_JP, also with a positive result.

If I enter the isolinux menu, select e.g. ja_JP from there and "Try Ubuntu before installing", it looks exactly as previously, i.e. "Mozc" is available together with one Japanse XKB layout. (No regression, in other words.)

Due to these positive results I will submit a bionic merge proposal with this change, and with the goal to have this improvement make it to the 18.04.3 ISO.

Changed in gnome-settings-daemon (Ubuntu Bionic):
status: Confirmed → In Progress

Hello Ping-Wu, or anyone else affected,

Accepted gnome-settings-daemon into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-settings-daemon/3.28.1-0ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-settings-daemon (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Gunnar Hjalmarsson (gunnarhj) wrote :

Verified the test case using gnome-settings-daemon 3.28.1-0ubuntu1.3 from bionic-proposed.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic

How do I test it? I'm interested in seeing Chinese input method being able
to be activated and behaving the way it is expected in a LiveUSB,
preferably in Ubuntu 18.04.3 iso. Is there any pre-release version of the
18.04.3 iso available?

On Tue, Jul 2, 2019 at 8:52 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> Verified the test case using gnome-settings-daemon 3.28.1-0ubuntu1.3
> from bionic-proposed.
>
> ** Tags removed: verification-needed verification-needed-bionic
> ** Tags added: verification-done verification-done-bionic
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1786344
>
> Title:
> Default IBus input method ignored in live session
>
> Status in gnome-settings-daemon package in Ubuntu:
> Fix Released
> Status in gnome-settings-daemon source package in Bionic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> If you
>
> * start your computer with a bootable USB stick or DVD with the
> 18.04.2 desktop ISO
>
> * wait until Ubiquity's welcome screen shows up (only possible on
> systems with legacy BIOS; bug #1766047)
>
> * select a language which requires an input method for typing
>
> * click the "Try Ubuntu" button
>
> no IBus method is made easily available via the input source indicator
> in the session you enter. If you for instance select zh_CN as language
> and "Try Ubuntu", you would expect to enter a session with the
> "Intelligent Pinyin" method included among the available input
> sources.
>
> The proposed fix should ensure that an IBus method is always available
> in "live sessions" in languages which are prepared for it.
>
> [Test Case]
>
> 1. Install ibus-libpinyin and make sure that "Intelligent Pinyin" is
> not included among your available input sources.
>
> 2. Generate the Chinese locale:
>
> sudo locale-gen zh_CN.UTF-8
>
> 3. Add to ~/.profile this line:
>
> export LC_CTYPE=zh_CN.UTF-8
>
> 4. Remove the gnome-settings-daemon stamp file:
>
> rm ~/.local/share/gnome-settings-daemon/input-sources-converted
>
> 5. Log out and log in again.
>
> => Find that the "Intelligent Pinyin" method was not added (since the
> sources already in the list prevented it from being added).
>
> 6. Install gnome-settings-daemon from bionic-proposed.
>
> 7. Repeat step 4 and 5.
>
> => Find that the "Intelligent Pinyin" method was added.
>
> [Regression Potential]
>
> The proposed upload includes a small change which specifically
> addresses the issue as described above. I find that the risk for
> adverse side effects is low.
>
> [Original description]
>
> Ubuntu 18.10 iso (2018.8.7), select Simplified Chinese for booting, can't
> input Chinese character. From Settings -> Regions and Languages, selected
> Intelligent Pinyin, also could not input Chinese.
>
> ---
>
> 18.10 镜像(2018.8.7)选择简体中文开机,无法输入中文。由 Settings -> Regions and
> Languages,选择 智能拼音,也无法输入中文。
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/1786344/+subscriptions
>

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2019-07-03 02:16, Ping-Wu wrote:
> How do I test it? I'm interested in seeing Chinese input method
> being able to be activated and behaving the way it is expected in a
> LiveUSB, preferably in Ubuntu 18.04.3 iso. Is there any pre-release
> version of the 18.04.3 iso available?

Besides verifying the test case above, and as mentioned in comment #24, I confirmed it on a 19.10 daily build ISO. You can do the same.

I'm not aware of any pre-release ISOs, but most likely it will work also on 18.04.3.

Ping-Wu (wliauh) wrote :
Download full text (3.3 KiB)

I have tried today's daily built iso of 18.04. I selected simplified
Chinese during boot. Still couldn't input Chinese.

Will try 19.10 later.

On Tue, Jul 2, 2019 at 3:25 PM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> On 2019-07-03 02:16, Ping-Wu wrote:
> > How do I test it? I'm interested in seeing Chinese input method
> > being able to be activated and behaving the way it is expected in a
> > LiveUSB, preferably in Ubuntu 18.04.3 iso. Is there any pre-release
> > version of the 18.04.3 iso available?
>
> Besides verifying the test case above, and as mentioned in comment #24,
> I confirmed it on a 19.10 daily build ISO. You can do the same.
>
> I'm not aware of any pre-release ISOs, but most likely it will work also
> on 18.04.3.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1786344
>
> Title:
> Default IBus input method ignored in live session
>
> Status in gnome-settings-daemon package in Ubuntu:
> Fix Released
> Status in gnome-settings-daemon source package in Bionic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> If you
>
> * start your computer with a bootable USB stick or DVD with the
> 18.04.2 desktop ISO
>
> * wait until Ubiquity's welcome screen shows up (only possible on
> systems with legacy BIOS; bug #1766047)
>
> * select a language which requires an input method for typing
>
> * click the "Try Ubuntu" button
>
> no IBus method is made easily available via the input source indicator
> in the session you enter. If you for instance select zh_CN as language
> and "Try Ubuntu", you would expect to enter a session with the
> "Intelligent Pinyin" method included among the available input
> sources.
>
> The proposed fix should ensure that an IBus method is always available
> in "live sessions" in languages which are prepared for it.
>
> [Test Case]
>
> 1. Install ibus-libpinyin and make sure that "Intelligent Pinyin" is
> not included among your available input sources.
>
> 2. Generate the Chinese locale:
>
> sudo locale-gen zh_CN.UTF-8
>
> 3. Add to ~/.profile this line:
>
> export LC_CTYPE=zh_CN.UTF-8
>
> 4. Remove the gnome-settings-daemon stamp file:
>
> rm ~/.local/share/gnome-settings-daemon/input-sources-converted
>
> 5. Log out and log in again.
>
> => Find that the "Intelligent Pinyin" method was not added (since the
> sources already in the list prevented it from being added).
>
> 6. Install gnome-settings-daemon from bionic-proposed.
>
> 7. Repeat step 4 and 5.
>
> => Find that the "Intelligent Pinyin" method was added.
>
> [Regression Potential]
>
> The proposed upload includes a small change which specifically
> addresses the issue as described above. I find that the risk for
> adverse side effects is low.
>
> [Original description]
>
> Ubuntu 18.10 iso (2018.8.7), select Simplified Chinese for booting, can't
> input Chinese character. From Settings -> Regions and Languages, selected
> Intelligent Pinyin, also could not input Chinese.
>
> ---
>
> 18.10 镜像(2018.8.7)选择简体中文开机,无法输入中文。由 Settings -> Regions and
> Languages,...

Read more...

Ping-Wu (wliauh) wrote :
Download full text (3.6 KiB)

Tried 19.10 by selecting simplified Chinese during booting the daily build
iso. Was able to toggle (shift-key) between Chinese and English inputs.
This is good!

However, the ability to input Chinese characters was activated only after I
clicked on the third option "汉语(智能拼音)“。 For a Chinese user, this extra step
should not be necessary.

Also as shown in the attached screenshot, the first (top) two entries are
confusing and have no function. Should be removed.

On Tue, Jul 2, 2019 at 3:25 PM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> On 2019-07-03 02:16, Ping-Wu wrote:
> > How do I test it? I'm interested in seeing Chinese input method
> > being able to be activated and behaving the way it is expected in a
> > LiveUSB, preferably in Ubuntu 18.04.3 iso. Is there any pre-release
> > version of the 18.04.3 iso available?
>
> Besides verifying the test case above, and as mentioned in comment #24,
> I confirmed it on a 19.10 daily build ISO. You can do the same.
>
> I'm not aware of any pre-release ISOs, but most likely it will work also
> on 18.04.3.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1786344
>
> Title:
> Default IBus input method ignored in live session
>
> Status in gnome-settings-daemon package in Ubuntu:
> Fix Released
> Status in gnome-settings-daemon source package in Bionic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> If you
>
> * start your computer with a bootable USB stick or DVD with the
> 18.04.2 desktop ISO
>
> * wait until Ubiquity's welcome screen shows up (only possible on
> systems with legacy BIOS; bug #1766047)
>
> * select a language which requires an input method for typing
>
> * click the "Try Ubuntu" button
>
> no IBus method is made easily available via the input source indicator
> in the session you enter. If you for instance select zh_CN as language
> and "Try Ubuntu", you would expect to enter a session with the
> "Intelligent Pinyin" method included among the available input
> sources.
>
> The proposed fix should ensure that an IBus method is always available
> in "live sessions" in languages which are prepared for it.
>
> [Test Case]
>
> 1. Install ibus-libpinyin and make sure that "Intelligent Pinyin" is
> not included among your available input sources.
>
> 2. Generate the Chinese locale:
>
> sudo locale-gen zh_CN.UTF-8
>
> 3. Add to ~/.profile this line:
>
> export LC_CTYPE=zh_CN.UTF-8
>
> 4. Remove the gnome-settings-daemon stamp file:
>
> rm ~/.local/share/gnome-settings-daemon/input-sources-converted
>
> 5. Log out and log in again.
>
> => Find that the "Intelligent Pinyin" method was not added (since the
> sources already in the list prevented it from being added).
>
> 6. Install gnome-settings-daemon from bionic-proposed.
>
> 7. Repeat step 4 and 5.
>
> => Find that the "Intelligent Pinyin" method was added.
>
> [Regression Potential]
>
> The proposed upload includes a small change which specifically
> addresses the issue as described above. I find that the risk for
> adverse side effects is low.
>
> [O...

Read more...

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2019-07-03 08:31, Ping-Wu wrote:
> I have tried today's daily built iso of 18.04.

Where did you find that ISO?

> I selected simplified Chinese during boot. Still couldn't input
> Chinese.

The new version of gnome-settings-daemon is in bionic-proposed. Only when it has reached bionic-updates (in 7+ days) it will be taken into account when building 18.04 ISOs.

On 2019-07-03 08:49, Ping-Wu wrote:
> However, the ability to input Chinese characters was activated only
> after I clicked on the third option "汉语(智能拼音)“。 For a Chinese
> user, this extra step should not be necessary.
>
> Also as shown in the attached screenshot, the first (top) two
> entries are confusing and have no function. Should be removed.

Without having a firm opinion on that, I can confirm the behavior. It's similar for Japanese as mentioned in bug #1796722.

If that behavior is considered non-desirable, I'd suggest that you file a separate Ubiquity bug about it.

Ping-Wu (wliauh) wrote :
Download full text (3.6 KiB)

http://cdimage.ubuntu.com/bionic/daily-live/

On Wed, Jul 3, 2019 at 12:05 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> On 2019-07-03 08:31, Ping-Wu wrote:
> > I have tried today's daily built iso of 18.04.
>
> Where did you find that ISO?
>
> > I selected simplified Chinese during boot. Still couldn't input
> > Chinese.
>
> The new version of gnome-settings-daemon is in bionic-proposed. Only
> when it has reached bionic-updates (in 7+ days) it will be taken into
> account when building 18.04 ISOs.
>
> On 2019-07-03 08:49, Ping-Wu wrote:
> > However, the ability to input Chinese characters was activated only
> > after I clicked on the third option "汉语(智能拼音)“。 For a Chinese
> > user, this extra step should not be necessary.
> >
> > Also as shown in the attached screenshot, the first (top) two
> > entries are confusing and have no function. Should be removed.
>
> Without having a firm opinion on that, I can confirm the behavior. It's
> similar for Japanese as mentioned in bug #1796722.
>
> If that behavior is considered non-desirable, I'd suggest that you file
> a separate Ubiquity bug about it.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1786344
>
> Title:
> Default IBus input method ignored in live session
>
> Status in gnome-settings-daemon package in Ubuntu:
> Fix Released
> Status in gnome-settings-daemon source package in Bionic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> If you
>
> * start your computer with a bootable USB stick or DVD with the
> 18.04.2 desktop ISO
>
> * wait until Ubiquity's welcome screen shows up (only possible on
> systems with legacy BIOS; bug #1766047)
>
> * select a language which requires an input method for typing
>
> * click the "Try Ubuntu" button
>
> no IBus method is made easily available via the input source indicator
> in the session you enter. If you for instance select zh_CN as language
> and "Try Ubuntu", you would expect to enter a session with the
> "Intelligent Pinyin" method included among the available input
> sources.
>
> The proposed fix should ensure that an IBus method is always available
> in "live sessions" in languages which are prepared for it.
>
> [Test Case]
>
> 1. Install ibus-libpinyin and make sure that "Intelligent Pinyin" is
> not included among your available input sources.
>
> 2. Generate the Chinese locale:
>
> sudo locale-gen zh_CN.UTF-8
>
> 3. Add to ~/.profile this line:
>
> export LC_CTYPE=zh_CN.UTF-8
>
> 4. Remove the gnome-settings-daemon stamp file:
>
> rm ~/.local/share/gnome-settings-daemon/input-sources-converted
>
> 5. Log out and log in again.
>
> => Find that the "Intelligent Pinyin" method was not added (since the
> sources already in the list prevented it from being added).
>
> 6. Install gnome-settings-daemon from bionic-proposed.
>
> 7. Repeat step 4 and 5.
>
> => Find that the "Intelligent Pinyin" method was added.
>
> [Regression Potential]
>
> The proposed upload includes a small change which specifically
> addresses the issue as described above. I find that the risk...

Read more...

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2019-07-03 18:15, Ping-Wu wrote:
> On Wed, Jul 3, 2019 at 12:05 AM Gunnar Hjalmarsson
> <email address hidden> wrote:
>> On 2019-07-03 08:31, Ping-Wu wrote:
>>> I have tried today's daily built iso of 18.04.
>>
>> Where did you find that ISO?
>
> http://cdimage.ubuntu.com/bionic/daily-live/

Thanks! I didn't know there was such a thing. Then we should be able to confirm it the day after version 3.28.1-0ubuntu1.3 has been moved to bionic-updates.

Ping-Wu (wliauh) wrote :

>
>
> we should be able to
> confirm it the day after version 3.28.1-0ubuntu1.3 has been moved to
> bionic-updates.
>
>
I am seeing that this package has already been moved to the daily build
that I tested. 😓 Please see the attached manifest.

Ping-Wu (wliauh) wrote :
Download full text (3.6 KiB)

Oops. False alarm. The Chinese input frame seems to be working OK in
190703 daily build. 👍 However, the first entry of the input method is
labeled as "汉语“ (Chinese)。 Either that should be changed to "英语”
(English),because it is indeed an English keyboard. Or assign
ibus-libpinyin as the input method for "汉语" and remove the ibus-libpinyin
("智能拼音")entry. The latter is, of course, preferred. Please see attached
screenshot.

Anyway, huge improvement!

On Wed, Jul 3, 2019 at 8:51 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> On 2019-07-03 18:15, Ping-Wu wrote:
> > On Wed, Jul 3, 2019 at 12:05 AM Gunnar Hjalmarsson
> > <email address hidden> wrote:
> >> On 2019-07-03 08:31, Ping-Wu wrote:
> >>> I have tried today's daily built iso of 18.04.
> >>
> >> Where did you find that ISO?
> >
> > http://cdimage.ubuntu.com/bionic/daily-live/
>
> Thanks! I didn't know there was such a thing. Then we should be able to
> confirm it the day after version 3.28.1-0ubuntu1.3 has been moved to
> bionic-updates.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1786344
>
> Title:
> Default IBus input method ignored in live session
>
> Status in gnome-settings-daemon package in Ubuntu:
> Fix Released
> Status in gnome-settings-daemon source package in Bionic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> If you
>
> * start your computer with a bootable USB stick or DVD with the
> 18.04.2 desktop ISO
>
> * wait until Ubiquity's welcome screen shows up (only possible on
> systems with legacy BIOS; bug #1766047)
>
> * select a language which requires an input method for typing
>
> * click the "Try Ubuntu" button
>
> no IBus method is made easily available via the input source indicator
> in the session you enter. If you for instance select zh_CN as language
> and "Try Ubuntu", you would expect to enter a session with the
> "Intelligent Pinyin" method included among the available input
> sources.
>
> The proposed fix should ensure that an IBus method is always available
> in "live sessions" in languages which are prepared for it.
>
> [Test Case]
>
> 1. Install ibus-libpinyin and make sure that "Intelligent Pinyin" is
> not included among your available input sources.
>
> 2. Generate the Chinese locale:
>
> sudo locale-gen zh_CN.UTF-8
>
> 3. Add to ~/.profile this line:
>
> export LC_CTYPE=zh_CN.UTF-8
>
> 4. Remove the gnome-settings-daemon stamp file:
>
> rm ~/.local/share/gnome-settings-daemon/input-sources-converted
>
> 5. Log out and log in again.
>
> => Find that the "Intelligent Pinyin" method was not added (since the
> sources already in the list prevented it from being added).
>
> 6. Install gnome-settings-daemon from bionic-proposed.
>
> 7. Repeat step 4 and 5.
>
> => Find that the "Intelligent Pinyin" method was added.
>
> [Regression Potential]
>
> The proposed upload includes a small change which specifically
> addresses the issue as described above. I find that the risk for
> adverse side effects is low.
>
> [Original description]
>
> Ubuntu 18.10 iso (2018.8...

Read more...

Gunnar Hjalmarsson (gunnarhj) wrote :

So not only are there daily builds of stable releases, they are taking packages in -proposed into account. I had no idea of either. Thanks for letting me know.

On 2019-07-04 01:14, Ping-Wu wrote:
> Oops. False alarm. The Chinese input frame seems to be working OK
> in 190703 daily build. 👍

Great, thanks for confirming. (But please note that the released 18.04.3 ISO will not include packages in -proposed.)

> However, the first entry of the input method is labeled as "汉语“
> (Chinese)。 Either that should be changed to "英语” (English),because
> it is indeed an English keyboard.

Yeah, the existence of the "cn" keyboard layout has been questioned by others too:

https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/issues/75

Replacing "cn" with "en" makes sense to me.

> Or assign ibus-libpinyin as the input method for "汉语" and remove the
> ibus-libpinyin ("智能拼音")entry.

No, that will probably not happen. Even if there is only one zh_CN input method available in the live session, the "Intelligent Pinyin" method needs to be labeled as that to distinguish it from other methods available in the Ubuntu archive.

But none of these fine-tuning things will be backported to 18.04 anyway. If you want that kind of adjustments be considered for 19.10 or 20.04, please file a new bug report.

Ping-Wu (wliauh) wrote :

On Thu, Jul 4, 2019 at 4:15 PM Gunnar Hjalmarsson <
<email address hidden>> wrote:

>
> Replacing "cn" with "en" makes sense to me.
>
> This is a good idea!

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2019-07-05 09:29, Ping-Wu wrote:
> On Thu, Jul 4, 2019 at 4:15 PM Gunnar Hjalmarsson
> <email address hidden> wrote:
>> Replacing "cn" with "en" makes sense to me.
>
> This is a good idea!

Just a control question: Is it still a good idea if the item would be labeled "English (US)" and not just "English"?

Ping-Wu (wliauh) wrote :
Download full text (3.2 KiB)

Another good idea! English (US).

BTW, when I clicked on the language update, Ubuntu would install a bunch of
non-US English locales. Totally unnecessary, annoying, unprofessional, and
confusing. Probably this should go to another bug report?

On Fri, Jul 5, 2019 at 2:51 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> On 2019-07-05 09:29, Ping-Wu wrote:
> > On Thu, Jul 4, 2019 at 4:15 PM Gunnar Hjalmarsson
> > <email address hidden> wrote:
> >> Replacing "cn" with "en" makes sense to me.
> >
> > This is a good idea!
>
> Just a control question: Is it still a good idea if the item would be
> labeled "English (US)" and not just "English"?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1786344
>
> Title:
> Default IBus input method ignored in live session
>
> Status in gnome-settings-daemon package in Ubuntu:
> Fix Released
> Status in gnome-settings-daemon source package in Bionic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> If you
>
> * start your computer with a bootable USB stick or DVD with the
> 18.04.2 desktop ISO
>
> * wait until Ubiquity's welcome screen shows up (only possible on
> systems with legacy BIOS; bug #1766047)
>
> * select a language which requires an input method for typing
>
> * click the "Try Ubuntu" button
>
> no IBus method is made easily available via the input source indicator
> in the session you enter. If you for instance select zh_CN as language
> and "Try Ubuntu", you would expect to enter a session with the
> "Intelligent Pinyin" method included among the available input
> sources.
>
> The proposed fix should ensure that an IBus method is always available
> in "live sessions" in languages which are prepared for it.
>
> [Test Case]
>
> 1. Install ibus-libpinyin and make sure that "Intelligent Pinyin" is
> not included among your available input sources.
>
> 2. Generate the Chinese locale:
>
> sudo locale-gen zh_CN.UTF-8
>
> 3. Add to ~/.profile this line:
>
> export LC_CTYPE=zh_CN.UTF-8
>
> 4. Remove the gnome-settings-daemon stamp file:
>
> rm ~/.local/share/gnome-settings-daemon/input-sources-converted
>
> 5. Log out and log in again.
>
> => Find that the "Intelligent Pinyin" method was not added (since the
> sources already in the list prevented it from being added).
>
> 6. Install gnome-settings-daemon from bionic-proposed.
>
> 7. Repeat step 4 and 5.
>
> => Find that the "Intelligent Pinyin" method was added.
>
> [Regression Potential]
>
> The proposed upload includes a small change which specifically
> addresses the issue as described above. I find that the risk for
> adverse side effects is low.
>
> [Original description]
>
> Ubuntu 18.10 iso (2018.8.7), select Simplified Chinese for booting, can't
> input Chinese character. From Settings -> Regions and Languages, selected
> Intelligent Pinyin, also could not input Chinese.
>
> ---
>
> 18.10 镜像(2018.8.7)选择简体中文开机,无法输入中文。由 Settings -> Regions and
> Languages,选择 智能拼音,也无法输入中文。
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpa...

Read more...

The verification of the Stable Release Update for gnome-settings-daemon has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-settings-daemon - 3.28.1-0ubuntu1.3

---------------
gnome-settings-daemon (3.28.1-0ubuntu1.3) bionic; urgency=medium

  * debian/patches/ubuntu_ibus_configs.patch:
    - Always call add_ibus_sources_from_locale() during the first run
      of g-s-d. This ensures that an IBus method is included in "live
      sessions" when applicable (LP: #1786344).
  * debian/patches/keyboard-Enable-ibus-for-OSK-purposes.patch:
    - Refreshed

 -- Gunnar Hjalmarsson <email address hidden> Fri, 21 Jun 2019 11:58:00 +0200

Changed in gnome-settings-daemon (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers